Page MenuHomePhabricator

Homepage: mobile preview when calculating
Closed, ResolvedPublic

Description

This task is to discuss whether we should use the "clock" icon from T216220 on the impact module's mobile preview, in addition to on its full module version when the user has made article edits, but none of the article edits being scanned for pageview counts have calculated counts yet.

@MMiller_WMF @SBisson
As pointed out by @Etonkovidova at https://phabricator.wikimedia.org/T224526#5249110, it can feel confusing to show the number 0 in the impact module preview while the system is calculating user's first edit pageviews.
We could improve the experience by also adding the clock icon to the impact module preview, but I would need to double check on the feasibility of the business rule to show/hide the icon:

  • if the user has made their first edit (or a series of edits in their first day), while the system is calculating pageviews we show the clock icon in the module preview in the same place as the number of total pageviews
  • since the clock might refer to more than one edit, the copy will read: "Since you first edited, pageviews have not yet been calculated. Check back tomorrow!"
  • as soon as the edit pageviews (or the pageviews of one of the edits made during their first day) have been calculated, and also when they count 0, the clock in the module preview will be replaced by the current number of pageviews.
  • since the number of pageviews in the module preview will be total progressive count of pageviews of all article edits made by the user, the clock won't be shown in the module preview when a new article, with relative clock icon, is added to the list in the module.

Mockup for the clock icon in the impact module preview

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterImpact: mobile preview: padding between text and icon
mediawiki/extensions/GrowthExperiments : masterShow pending icon if no pageviews exist for any edit

Event Timeline

MMiller_WMF updated the task description. (Show Details)Jun 11 2019, 7:36 PM

@Cntlsn -- I think this idea generally makes sense, and that the business rules for when to show it won't be too complicated. I think it would just be: if all the articles in your activated module have a clock, show a clock on the preview. Right?

@Cntlsn -- do you think the toast should show if someone taps the icon in the preview? Or that by tapping the icon in the preview, they should just go to the full module, and they can tap the icon again there and get the toast?

A question for @SBisson: when you are looking at the ten most recent articles edited and deciding which to put in the list of five in the module, do you count articles with no calculated pageviews (i.e. edits from today) in the set of ten? When choosing the five to display, do you count them as edits with zero views (and therefore rank them at the bottom? Above or below articles who have actual 0 views after calculation?)

@Cntlsn -- do you think the toast should show if someone taps the icon in the preview? Or that by tapping the icon in the preview, they should just go to the full module, and they can tap the icon again there and get the toast?

The entire module preview is a link to go to the module details. I'm not sure making a small part of it respond to tap differently would be intuitive or really usable.

A question for @SBisson: when you are looking at the ten most recent articles edited and deciding which to put in the list of five in the module, do you count articles with no calculated pageviews (i.e. edits from today) in the set of ten? When choosing the five to display, do you count them as edits with zero views (and therefore rank them at the bottom? Above or below articles who have actual 0 views after calculation?)

This is what we do (I hope it correspond to the initial specs of the impact module)

  1. We take the 10 unique articles that were edited most recently (if the same article is edited twice recently, it only takes one spot in the top ten)
  2. For each article, we get the date when it was first edited and get the page views from that date until yesterday (max 60 days span)
  3. We sort by page views. Articles with "N/A" page views are sorted below articles with a number for page views. 0 page views is impossible but if it were, it would be sorted between "N/A" and 1.
  4. We total the page views for the top 10 to show on the mobile preview
  5. We pick the top 5 (based on page views count) to show on the detailed version (mobile and desktop) of the module.

Let me know if anything is unclear or unexpected.

@MMiller_WMF @SBisson
I agree that the whole preview card should link to the fullscreen view of the impact module.

The business rule "if all the articles in your activated module have a clock, show a clock on the preview" sounds correct to me.

MMiller_WMF removed Cntlsn as the assignee of this task.Jun 12 2019, 5:57 PM

This is ready for development.

JTannerWMF moved this task from Needs triage to Triaged on the Mobile board.Jun 14 2019, 11:36 AM

The business rule "if all the articles in your activated module have a clock, show a clock on the preview" sounds correct to me.

@Cntlsn is this the only item of work that is supposed to be done for this task?

@kostajh yes, I think so!

Change 519491 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Show pending icon if no pageviews exist for any edit

https://gerrit.wikimedia.org/r/519491

Change 519491 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Show pending icon if no pageviews exist for any edit

https://gerrit.wikimedia.org/r/519491

Checked in betalabs - the clock icon is shown only when there are no pageviews exist for any edit, i.e. no zero pageviews.

@Etonkovidova Thanks!

@kostajh @SBisson @Catrope can we set

.growthexperiments-homepage-impact-mobile-totalviews {
  padding-left: 10px;
}

so that the text doesn't get too close to the icon/number displayed on smaller screens? Thx!

kostajh removed kostajh as the assignee of this task.Jul 3 2019, 4:28 PM

Unassigning if someone wants to get to it before me.

Change 522520 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Impact: mobile preview: padding between text and icon

https://gerrit.wikimedia.org/r/522520

Change 522520 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact: mobile preview: padding between text and icon

https://gerrit.wikimedia.org/r/522520

@Cntlsn - please take a look and may close the task (QA work is done).


The margins are not quite balanced?

The tooltip on desktop:

Thanks @Etonkovidova.
@MMiller_WMF Looks good to me, apart from the clock icon/number alignment in the module preview, for which a task has been created already T227104.

MMiller_WMF closed this task as Resolved.Jul 27 2019, 1:49 AM

Looks good to me in production.